## GVirDomainSnapshot GVirDomainSnapshot |

## Synopsis

    struct              GVirDomainSnapshot;
    struct              GVirDomainSnapshotClass;
    const gchar *       gvir_domain_snapshot_get_name       (GVirDomainSnapshot *snapshot);
    GVirConfigDomainSnapshot * gvir_domain_snapshot_get_config
                                                            (GVirDomainSnapshot *snapshot,
                                                             guint flags,
                                                             GError **err);

## Object Hierarchy

      GObject
       +----GVirDomainSnapshot

## Properties

      "handle"                   GVirDomainSnapshotHandle*  : Read / Write / Construct Only

## Description

## Details

### struct GVirDomainSnapshot

    struct GVirDomainSnapshot;

### struct GVirDomainSnapshotClass

    struct GVirDomainSnapshotClass {
        GObjectClass parent_class;

        gpointer padding[20];
    };

### gvir_domain_snapshot_get_name ()

    const gchar *       gvir_domain_snapshot_get_name       (GVirDomainSnapshot *snapshot);

### gvir_domain_snapshot_get_config ()

    GVirConfigDomainSnapshot * gvir_domain_snapshot_get_config
                                                            (GVirDomainSnapshot *snapshot,
                                                             guint flags,
                                                             GError **err);

`snapshot` : | the domain_snapshot
`flags` : | the flags
Returns : | the config. The returned object should be unreffed with `g_object_unref()` when no longer needed. [transfer full]

## Property Details

### The `"handle"` property

      "handle"                   GVirDomainSnapshotHandle*  : Read / Write / Construct Only

The domain_snapshot handle.